lldpd(8)

NAME
lldpd - Send Link Layer Discovery Protocol packets over ethernet.

SYNOPSIS
lldpd [-c] [-i interface] [-d] [-f] [-s]

DESCRIPTION
The lldpd utiliy used to generate Link Layer Discovery Protocol packets and send them over ethernet.

The options are as follows:

-c  Use the config file <path> instead of the default.

-i interface
    set interface, over that packets will be sent

-d  Set debug verbosity <debug_level> can be any of : A : Enable ALL debug flags. c : Enable CONFIG debug flag. s : Enable STATE debug flag. t : Enable TLV debug flag. i : Enable INT debug flag. n : Enable SNMP debug flag. x : Enable EXCESSIVE debug flag.

-f  Run in forground mode

-s  Remove the existing control socket if found (Should only be used in system init scripts!)

DIAGNOSTICS
When everything is ok, and lldpd program is started with (default) daemon mode, it justs daemonises with return code 0. In case of errors they are printed to stderr and program exists with non-zero status. Most errors caused by the fact that the lldpd needs access to /dev/bpf*, so it must be started by root, and Berkeley Packet Filter must be enabled in kernel (by adding pseudo-device bpf into kernel configuration).

SEE ALSO
http://www.lldp.org/ for information about Link Layer Discovery Protocol. http://www.tcpdump.org/ - tcpdump home page.

AUTHOR
OpenLLDP http://openlldp.sourceforge.net/